# Class JsonObject.Member

java.lang.Object
org.eclipse.rap.json.JsonObject.Member

Enclosing class:
  `JsonObject`

public static class JsonObject.Member extends Object
Represents a member of a JSON object, i.e. a pair of name and value.

Since:
  2.2

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getName()`
Returns the name of this member.
`JsonValue`
`getValue()`
Returns the value of this member.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()
Returns the name of this member.

Returns:
  the name of this member, never `null`

### getValue

public JsonValue getValue()
Returns the value of this member.

Returns:
  the value of this member, never `null`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`